using System;

internal sealed class Delegate677 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate677 delegate677_1)
	{
		return delegate677_1(object_0);
	}

	public extern Delegate677(object object_0, IntPtr intptr_0);

	static Delegate677()
	{
		Class10.smethod_13(typeof(Delegate677).TypeHandle);
	}

	internal static Delegate677 delegate677_0;
}
